--sets up how this mission is handled by the game
function metameta()
	--set maps you can choose from the map select
	
	--Leave the next line alone, the editor uses it to add more maps to this file:
	--MAPS--
	
	
	--menu.setBattlePlayable("asteroidbelt", "mission_deepspace.png", "[   ASTEROIDBELT   ]   In which time is spent fruitfully and without regret.")
	--(name of the map, filename of the mission icon, mission description (first line is red))
	--shipped icons : mission_deepspace.png | mission_default.png | mission_eden.png
	--                     mission_eden2.png | mission_nexus.png | mission_sol.png
	--                     mission_tartarus.png | mission_tartarus2.png	
end

function meta()
	-- all configs free (note: this makes it so points are not saved to the profile)
	game.launchCosts = 0
	
	--add saved pilot deployable ship configurations
	game.addPilotDeployableShips()
	
	--players choose their ship
	game.deploy()
	
	--play the selected map
	game.playSelected()

end

--set faction relations
function setupfactions()
	--1 : player
	--3 : vile nemesis
	--4 : friendly aliens
	--5 : mines & missiles
	--6 : hive aliens
	--7 : hive alien terrain (hives, anemones, spikeflowers)
	
	--player
	game.setEnemies(1,3)
	game.setEnemies(1,5)
	game.setEnemies(1,6)
	game.setEnemies(1,7)
	--friendly aliens
	game.setAllies(4,6)
	game.setAllies(4,7)
	--mines, missiles (i think I may have hardcoded this in a couple places)
	game.setNeutral(5,5)--faction 5 is neutral with itself
	--alien hive
	game.setEnemies(6,3)
	--alien hive terrain
	game.setEnemies(7,3,1)--one way; nemesis stays neutral towards terrain
	--game.setFriendlyFire(7,1)
	--game.setAllies(7,6)
end
